## org.eclipse.datatools.sqltools.core
Class Messages

    java.lang.Object
      NLS
          org.eclipse.datatools.sqltools.core.Messages

    public class Messages

extends NLS

Field Summary
`static java.lang.String` `DataTypeValidator_can_not_use_in_current_context`
`static java.lang.String` `DataTypeValidator_invalid_type`
`static java.lang.String` `DataTypeValidator_no_db_definition`
`static java.lang.String` `PredefinedDataTypeValidator_length_exceed_max`
`static java.lang.String` `PredefinedDataTypeValidator_length_shouldbe_positive`
`static java.lang.String` `PredefinedDataTypeValidator_no_datatype_definition`
`static java.lang.String` `PredefinedDataTypeValidator_no_db_definition`
`static java.lang.String` `PredefinedDataTypeValidator_precision_exceed_max`
`static java.lang.String` `PredefinedDataTypeValidator_precision_lessthan_scale`
`static java.lang.String` `PredefinedDataTypeValidator_precision_positive`
`static java.lang.String` `PredefinedDataTypeValidator_scale_below_min`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DataTypeValidator_can_not_use_in_current_context

    public static java.lang.String DataTypeValidator_can_not_use_in_current_context

### DataTypeValidator_invalid_type

    public static java.lang.String DataTypeValidator_invalid_type

### DataTypeValidator_no_db_definition

    public static java.lang.String DataTypeValidator_no_db_definition

### PredefinedDataTypeValidator_length_exceed_max

    public static java.lang.String PredefinedDataTypeValidator_length_exceed_max

### PredefinedDataTypeValidator_length_shouldbe_positive

    public static java.lang.String PredefinedDataTypeValidator_length_shouldbe_positive

### PredefinedDataTypeValidator_no_datatype_definition

    public static java.lang.String PredefinedDataTypeValidator_no_datatype_definition

### PredefinedDataTypeValidator_no_db_definition

    public static java.lang.String PredefinedDataTypeValidator_no_db_definition

### PredefinedDataTypeValidator_precision_exceed_max

    public static java.lang.String PredefinedDataTypeValidator_precision_exceed_max

### PredefinedDataTypeValidator_precision_lessthan_scale

    public static java.lang.String PredefinedDataTypeValidator_precision_lessthan_scale

### PredefinedDataTypeValidator_precision_positive

    public static java.lang.String PredefinedDataTypeValidator_precision_positive

### PredefinedDataTypeValidator_scale_below_min

    public static java.lang.String PredefinedDataTypeValidator_scale_below_min

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.